Agents authorized for a domain: the live adagents.json and, when connected, the AAO registry
curl --request GET \
--url https://api.semicola.com/api/v2/storefront/discover-agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/storefront/discover-agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/storefront/discover-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"domain": "<string>",
"operator": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>",
"is_founding_member": true,
"membership_tier": "<string>",
"membership_tier_label": "<string>"
},
"lookup_status": "member",
"agents": [
{
"url": "<string>",
"name": "<string>",
"type": "<string>",
"compliance": {},
"storyboards": [
{}
],
"authorized_by": [
{}
]
}
]
},
"publisher": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>",
"is_founding_member": true,
"membership_tier": "<string>",
"membership_tier_label": "<string>"
},
"lookup_status": "member",
"adagents_valid": true,
"manager_domain": "<string>",
"resolved_url": "<string>",
"hosting": {
"mode": "<string>",
"last_validated": "<string>"
},
"freshness": {
"source": "registry",
"registry_adagents_valid": true,
"last_validated": "<string>",
"recrawl_requested": true
},
"properties": [
{}
],
"authorized_agents": [
{
"url": "<string>",
"source": "<string>",
"authorized_for": "<string>"
}
],
"discovery_method": "direct"
},
"registry": {
"connected": true,
"message": "<string>"
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Publisher Domains
Agents authorized for a domain: the live adagents.json and, when connected, the AAO registry
GET
/
api
/
v2
/
storefront
/
discover-agents
Agents authorized for a domain: the live adagents.json and, when connected, the AAO registry
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Query Parameters
Minimum string length:
1Available options:
true, false